PHP 5.1 will nicht kompilieren (libXpm-Error)

Apache, Lighttpd, nginx, Cherokee
the phantom
Posts: 6
Joined: 2006-03-12 11:19

PHP 5.1 will nicht kompilieren (libXpm-Error)

Post by the phantom » 2007-02-08 18:54

Hallo,

möchte PHP 5.1.2 mit folgenden Optionen compilieren:
./configure --prefix=/usr --datadir=/usr/share/php --mandir=/usr/share/man --bindir=/usr/bin --libdir=/usr/share --includedir=/usr/include --sysconfdir=/etc --with-_lib=lib64 --with-config_file-path=/etc --with-exec-dir=/usr/lib64/php/bin --disable-debug --enable-inline-optimization --enable-memory-limit --enable-magic-quotes --enable-safe-mode --enable-sigchild --disable-ctype --enable-session --with-mysql=/usr/bin/mysql --with-gd=/usr/include --with-jpeg-dir=/usr/lib --with-freetype-dir=/usr/lib64 --with-xpm-dir=/usr/lib64 --with-png-dir=/usr/lib --with-zlib-dir=/usr/lib --with-libxml-dir=/usr/lib --disable-cli --without-pear --with-openssl --with-apxs2=/usr/sbin/apxs2-prefork --with-ttf --enable-gd-native-ttf --with-xpm-dir=/usr/X11R6/lib64 x86_64-suse-linux



läuft auch eine ganze Weile, bricht aber mit dieser Meldung ab
checking for GD support... yes
checking for the location of libjpeg... /usr/lib
checking for the location of libpng... /usr/lib
checking for the location of libXpm... /usr/X11R6/lib64
checking for FreeType 1.x support... yes
checking for FreeType 2... /usr/lib64
checking for T1lib support... no
checking whether to enable truetype string function in GD... no
checking whether to enable JIS-mapped Japanese font support in GD... no
checking for jpeg_read_header in -ljpeg... yes
checking for png_write_image in -lpng... yes
checking for XpmFreeXpmImage in -lXpm... no
configure: error: Problem with libXpm.(a|so) or libX11.(a|so).


Die Dateien libXpm und libX11 sind vorhanden. Auch in dem richtigen, gelinkten Verzeichnis, welches ich in der Option angegeben habe.

Welches Paket muss ich für den GD-Kram bzw. für libXpm und/oder libX11 installieren bzw von welchem Problem mit den beiden Versionen spricht er denn??? Hab schon etliche Pakete in den 5 Tagen nachinstalliert, seitdem ich versuche PHP zu installieren....

Mein System:
SuSE 9.3 64-Bit-Version
Apache2[/code]

Vielen Dank im Voraus...

kase
Posts: 1031
Joined: 2002-10-14 22:56

Re: PHP 5.1 will nicht kompilieren (libXpm-Error)

Post by kase » 2007-02-08 19:05

libx11-dev und/oder libxpm-dev installiert?